Question: Cufflinks: ImportError: No module named bx.intervals.io
0
gravatar for Garen
8 months ago by
Garen0
Garen0 wrote:

Hi,

Recently, I met an error when I tried the cufflinks in Galaxy. It reports an error:

#############
Traceback (most recent call last):
  File "/jetstream/scratch0/main/jobs/20147175/tool_files/cufflinks_wrapper.py", line 9, in <module>
    from galaxy.datatypes.util.gff_util import parse_gff_attributes, gff_attributes_to_str
  File "/cvmfs/main.galaxyproject.org/galaxy/lib/galaxy/datatypes/util/gff_util.py", line 6, in <module>
    from bx.intervals.io import GenomicInterval, GenomicIntervalReader, MissingFieldError, NiceReaderWrapper, ParseError
ImportError: No module named bx.intervals.io
######################

Any suggestion about this problem?

Thanks!

ADD COMMENTlink modified 8 months ago by Devon Ryan88k • written 8 months ago by Garen0

Why not post on biostars galaxy? https://biostar.usegalaxy.org/

ADD REPLYlink written 8 months ago by b.nota6.4k

You should know that the old 'Tuxedo' pipeline of Tophat(2) and Cufflinks is no longer the "advisable" tool for RNA-seq analysis. The software is deprecated/ in low maintenance and should be replaced by HISAT2, StringTie and ballgown. See this paper: Transcript-level expression analysis of RNA-seq experiments with HISAT, StringTie and Ballgown. There are also other alternatives, including alignment with STAR and bbmap, or pseudo-alignment using salmon followed by DESEq2 or edgeR.

ADD REPLYlink written 8 months ago by WouterDeCoster37k

Thanks,

Actually, I used Hisat2 to mapping, then used cufflinks to calculate the FPKM. However, other tools seem not the fpkm result.

ADD REPLYlink written 8 months ago by Garen0

Please use ADD COMMENT or ADD REPLY to answer to previous reactions, as such this thread remains logically structured and easy to follow. I have now moved your reaction but as you can see it's not optimal. Adding an answer should only be used for providing a solution to the question asked.

However, other tools seem not the fpkm result.

That's unclear.

ADD REPLYlink written 8 months ago by WouterDeCoster37k

Why do you need FPKM? Like @Wouter already said, the tuxedo pipeline is outdated (deprecated), and so are FPKM values.

ADD REPLYlink written 8 months ago by b.nota6.4k

I have altered your title to make it more specific and altered your tags to include "cufflinks". As such experts can more easily find your question. Please keep this in mind for future questions.

ADD REPLYlink written 8 months ago by WouterDeCoster37k
0
gravatar for Devon Ryan
8 months ago by
Devon Ryan88k
Freiburg, Germany
Devon Ryan88k wrote:

Please hit the "bug report" button on the history item that's producing this. Nate or one of the other galaxy.org administrators will need to install the missing bx-python package on the Jetstream cluster.

ADD COMMENTlink written 8 months ago by Devon Ryan88k
Please log in to add an answer.

Help
Access

Use of this site constitutes acceptance of our User Agreement and Privacy Policy.
Powered by Biostar version 2.3.0
Traffic: 1127 users visited in the last hour